First time here? Check out the FAQ!
x

Compatibility of FlexiSign-Pro 8.5 v2 for Mac .

0 votes
asked by
edited by

Does my version of Flexi SIGN-Pro 8.5v2 for Mac work in OS X 10.7 Lion? How high up on Mac OS X can I go with this version? When I purchased my current version of Flexi 6.8 was the highest available from you.

1 Answer

0 votes
answered by (329k points)

FlexiSign-Pro isn't available for Mac anymore. There is a new standard among their products and the new feature is Cloud. For a certain amount of money you download an application from the cloud and use it on your computer, then all the operations are performed online. It means you will have to be online all the times. License verification is using online services as well. If it fails to connect, the software will shut down. No, the version 8.5 will not work in Lion because it's not optimized to do so. For more information, access the official website: http://www.thinksai.com/British-flexisignpro3

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...